After upgrading to Fog 1.2.0 after a reboot I get a Database Upgrade screen



  • I am running Ubuntu 14.04 x64 server version with 2GB RAM. After upgrading to FOG 1.2.0 when I reboot I get the message to update my database, then I get the following database error: (the only way to correct it that I have found is to rerun the install, I know very little about databases) any help would be appreciated. This below is only part of what appears on the webpage it is to long for me to post.

    [CODE]Database Schema Installer / UpdaterUpdate/Install Failed!

    The following errors occured
    Update ID: 1 - 0

    Database Error:

    Database SQL:

    CREATE DATABASE fog


    Update ID: 1 - 1

    Database Error:

    Database SQL:

    CREATE TABLE fog.groupMembers (
    gmID int(11) NOT NULL auto_increment,
    gmHostID int(11) NOT NULL,
    gmGroupID int(11) NOT NULL,
    PRIMARY KEY (gmID),
    KEY new_index (gmHostID),
    KEY new_index1 (gmGroupID)
    ) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC


    Update ID: 1 - 2

    Database Error:

    Database SQL:

    CREATE TABLE fog.groups (
    groupID int(11) NOT NULL auto_increment,
    groupName varchar(50) NOT NULL,
    groupDesc longtext NOT NULL,
    groupDateTime datetime NOT NULL,
    groupCreateBy varchar(50) NOT NULL,
    groupBuilding int(11) NOT NULL,
    PRIMARY KEY (groupID),
    KEY new_index (groupName)
    ) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=latin1[/CODE]



  • [quote=“cadyfish, post: 35529, member: 24458”]aboushard,

    Try post 8 in [url]http://fogproject.org/forum/threads/fog-is-inoperable-after-server-reboot.11460/[/url][/quote]

    I will try that.




 

446
Online

41.8k
Users

12.3k
Topics

116.0k
Posts